%% script for Figure4B
channels={'P7','O1','TP9','P8','O2','TP10'};% channels name
channelsno=[23 19 29 24 20 28];% channles number
savepath=[pwd '\figures'];
load('EEGdata_preprocessed.mat');% load the EEGdata

if ~exist(savepath)
    mkdir(savepath);
end
condname={'word','psuedo','nonword','stroke'};

year11=[1:14];
year7=[15:30];
year9=[31:44];

groups='year11'; % which group to plot,year7 year9 year11
grouptoplot=year11; % which group to plot,year7 year9 year11

% color pallet
wordcolor=[86,180,233]/256;
psuedocolor=[230,159,0]/256;
falsecolor=[213,94,0]/256;
strokecolor=[190,190,190]/256;

chtoplot=gfpeegconditions(grouptoplot,:,channelsno,:);

% plot every channle
avgc=chtoplot;
for i =1:length(channels)
    plotch2 = squeeze(avgc(:,:,i,:));
     h = figure; 
x = squeeze(plotch2(:,1,:));
y = squeeze(plotch2(:,2,:));
z = squeeze(plotch2(:,3,:));
s = squeeze(plotch2(:,4,:));
xcord=[-100 700 -20 20];
std_CI_shade(s,0.3,wordcolor,[-99:700],xcord,0,'NCI');
hold on;
std_CI_shade(x,0.3,psuedocolor,[-99:700],xcord,0,'NCI');
hold on;
std_CI_shade(z,0.3,falsecolor,[-99:700],xcord,0,'NCI');
hold on;
std_CI_shade(y,0.3,strokecolor,[-99:700],xcord,0,'NCI');


set(gcf,'position',[10,10, 780, 360]);

ax = gca;

outerpos = ax.OuterPosition;
ti = ax.TightInset; 
left = outerpos(1) + ti(1);
bottom = outerpos(2) + ti(2);
ax_width = outerpos(3) - ti(1) - ti(3);
ax_height = outerpos(4) - ti(2) - ti(4);
ax.Position = [left bottom ax_width ax_height];

ax.PlotBoxAspectRatio=[1.0 0.6 0.6];
set(gcf,'position',[50,50,550,450]);   

ax.XAxisLocation =  'origin';
ax.YAxisLocation =  'origin';

ax.Box = 'off';
set(ax,'FontName','Arial','FontSize',14,'LineWidth',2,'TitleFontSizeMultiplier',1.5...
    );

title(channels{i});
hold off;

% Save the file as tiff
% savefig(strcat(savepath,'\',groups,'_',channels{i},'.fig'));
print(strcat(savepath,'\',groups,'_',channels{i}),'-dtiff','-r300');

close gcf
end
