%% peak detection

clear;
clc;
savepath=[pwd '\'];

%% data descriptions
% proprocessed data
% gfpeegconditions.mat used to compute GFP and detect peaking amplitutes
% structure: 4D,subjects*conditions*channels(including EOG)*timepoints(800)
load('EEGdata_preprocessed.mat');

% channels No. used 
channels={'P7','O1','TP9','P8','O2','TP10'};
channelsno=[23 19 29 24 20 28];

%EOG channels
eogchan=[30 32];

%subject No. in different groups
year11=[1:14]; %year 11
year7=[15:30]; %year 7
year9=[31:44]; %year9

%  GFP window 

gfpy11N1=[281:333];%year 11

gfpy9N1=[288:352];%year 9

gfpy7N1=[292:371];%year 7

%conditions ordered
condname={'word','psuedo','nonword','stroke'};

%e.g. the gfpeegconditions(year11,1,:,:) is the word
%conditons for year 11 group

%% peak detection
for i=1:44
   % to identify every subjects
 
    if i<=14
       
        N1=gfpy11N1;
        mingzi(i)={strcat('year11-',num2str(i))};
    end
    if i>14 & i<=30;
        
        N1=gfpy7N1;
        mingzi(i)={strcat('year7-', num2str(i))};
    end
    if i>30;
       
        N1=gfpy9N1;
        mingzi(i)={strcat('year9-', num2str(i))};
    end
   nrn=1;     
 for ncond=1:length(condname)
   for nchan=1:length(channelsno)
       
       avgch=squeeze(gfpeegconditions(i,ncond,channelsno(nchan),:));
        
        %----peak detection---        
        [ndatapeak(i,nrn),ndatalateny(i,nrn)]=min(avgch(N1));%N1
       
        ndatalateny(i,nrn)=ndatalateny(i,nrn)+N1(1)-100-1;%N1 peak
        
        % varialble name like 'wordTP9'
        rowtitle(nrn)=strcat(cell2mat(condname(ncond)),channels(nchan));   
        nrn=nrn+1;         
   end
end        
end
%% save the results to Peaklatency.xlsx

ndatapeakT= array2table(ndatapeak,'RowNames',mingzi,'VariableNames',strrep(rowtitle, ' ', ''));
writetable(ndatapeakT,strcat(savepath,'Peaklatency.xlsx'),'Sheet',1,'WriteRowNames',1);
ndatalatencyT= array2table(ndatalateny,'RowNames',mingzi,'VariableNames',strrep(rowtitle, ' ', ''));
writetable(ndatalatencyT,strcat(savepath,'Peaklatency.xlsx'),'Sheet',2,'WriteRowNames',1);


%% subjects list for N1
subjectslst=[5001
5002
5003
5004
5005
5006
5007
5008
5009
5010
5011
5012
5013
5014
1001
1002
1003
1004
1005
1006
1007
1008
1009
1010
1011
1012
1013
1014
1015
1016
3001
3002
3003
3004
3005
3006
3007
3008
3009
3010
3011
3012
3013
3014
];