##R script for Figure 2A

library('readxl')
library('ggplot2')

#change the file path
rate=read_excel('C:/pbsubmit2/Data_Figure2A_Figure2B_Figure4C.xlsx',sheet = 1)

rate$type=as.factor(rate$type)
rate$group=as.factor(rate$group)

F2A <- ggplot(rate,aes(x=group,y=rate,fill=type)) + 
  geom_boxplot(fatten = NULL,outlier.shape =NA, coef = 0,
               position = position_dodge(0.8)) +
  stat_summary(fun.y = mean, geom = "errorbar", aes(ymax = ..y.., ymin = ..y..),
               width = 0.75, size = 0.8, linetype = "solid",position = position_dodge(0.8))+
  geom_dotplot(binaxis='y', stackdir='center', dotsize=0.6,
               position = position_dodge(0.8))+
  scale_fill_manual(values=c('#56b4e9','#e69f00',"#FC4E07",'#bebebe'))+theme_classic()

F2A


##R script for Figure 2B
#change the file path
rt=read_excel('C:/pbsubmit2/Data_Figure2A_Figure2B_Figure4C.xlsx',sheet = 2)

rt$type=as.factor(rt$type)
rt$group=as.factor(rt$group)

F2B <- ggplot(rt,aes(x=group,y=rt,fill=type)) + 
  geom_boxplot(fatten = NULL,outlier.shape =NA, coef = 0,
               position = position_dodge(0.8)) +
  stat_summary(fun.y = mean, geom = "errorbar", aes(ymax = ..y.., ymin = ..y..),
               width = 0.75, size = 0.8, linetype = "solid",position = position_dodge(0.8))+
  geom_dotplot(binaxis='y', stackdir='center', dotsize=0.6,
               position = position_dodge(0.8))+
  scale_fill_manual(values=c('#56b4e9','#e69f00',"#FC4E07",'#bebebe'))+theme_classic()

F2B

##R script for Figure 4C
#change the file path
N1=read_excel('C:/pbsubmit2/Data_Figure2A_Figure2B_Figure4C.xlsx',sheet = 3)

N1$type=as.factor(N1$type)
N1$group=as.factor(N1$group)

F4C <- ggplot(N1,aes(x=group,y=N1,fill=type)) + 
  geom_boxplot(fatten = NULL,outlier.shape =NA, coef = 0,
               position = position_dodge(0.8)) +
  stat_summary(fun.y = mean, geom = "errorbar", aes(ymax = ..y.., ymin = ..y..),
               width = 0.75, size = 0.8, linetype = "solid",position = position_dodge(0.8))+
  geom_dotplot(binaxis='y', stackdir='center', dotsize=0.6,
               position = position_dodge(0.8))+
  scale_fill_manual(values=c('#56b4e9','#e69f00',"#FC4E07",'#bebebe'))+theme_classic()

F4C
