function stdshade(amatrix,alpha,acolor,F,axset,smth,method)
% usage: stdshading(amatrix,alpha,acolor,F,smth) 
% amatrixsubj*samplesof every conditions
% plot mean and sem/std coming from a matrix of data, at which each row is an
% observation. sem/std is shown as shading.
% - acolor defines the used color (default is red) 
% - F assignes the used x axis (default is steps of 1).
% - alpha defines transparency of the shading (default is no shading and black mean line)
% - smth defines the smoothing factor (default is no smooth)
%-axset,the x axis limit set
% smusall 2010/4/23
if exist('acolor','var')==0 || isempty(acolor)
    acolor='r'; 
end
if exist('F','var')==0 || isempty(F); 
    F=1:size(amatrix,2);
end
if exist('smth','var'); if isempty(smth); smth=1; end
else smth=1;
end  
if ne(size(F,1),1)
    F=F';
end
if smth ~=0
amean=smooth(nanmean(amatrix),smth)';
end
if smth==0
    amean=mean(amatrix);
end
switch method
    case 'CI'
      yMean  = mean(amatrix); % mean of every point
      ystd=nanstd(amatrix); % std
      N=size(amatrix,1); %samples
      ySEM = ystd/sqrt(N); % 
      CI95 = tinv([0.025 0.975], N-1); % two tails a/2 Calculate 95% Probability Intervals Of t-Distribution
      yCI95 = bsxfun(@times, ySEM, CI95(:));              % Calculate 95% Confidence Intervals Of All Experiments At Each Value Of x
   ashade(1,:)=amean+yCI95(1,:);
   ashade(2,:)=amean+yCI95(2,:);
    case 'NCI' % 2000boottrap 95% two tail(.90)
     ci  =ciboot(amatrix,'trimmean',5,.90,2000,5);
     astd=ci(:,[1 3]);
     astd=astd';
     ashade(1,:)=astd(1,:);
   ashade(2,:)=astd(2,:);
    otherwise 'STD';
astd=nanstd(amatrix); % to get std shading
ashade(1,:)=amean-astd;
   ashade(2,:)=amean+astd;
end
% astd=nanstd(amatrix)/sqrt(size(amatrix,1)); % to get sem shading
if exist('alpha','var')==0 || isempty(alpha) 
    fill([F fliplr(F)],[ashade(1,:) fliplr( ashade(2,:))],acolor,'linestyle','none');
    acolor='k';
else fill([F fliplr(F)],[ashade(1,:) fliplr( ashade(2,:))],acolor, 'FaceAlpha', alpha,'linestyle','none');    
end
if ishold==0
    check=true; else check=false;
end
hold on;plot(F,amean,'color',acolor,'linewidth',2); %% change color or linewidth to adjust mean line
if check
    hold off;
end
ax = gca;
axis(axset);
end
